nkululeko.models package
========================

Submodules
----------

nkululeko.models.model module
-----------------------------

.. automodule:: nkululeko.models.model
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_bayes module
------------------------------------

.. automodule:: nkululeko.models.model_bayes
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_cnn module
----------------------------------

.. automodule:: nkululeko.models.model_cnn
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_gmm module
----------------------------------

.. automodule:: nkululeko.models.model_gmm
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_knn module
----------------------------------

.. automodule:: nkululeko.models.model_knn
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_knn\_reg module
---------------------------------------

.. automodule:: nkululeko.models.model_knn_reg
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_lin\_reg module
---------------------------------------

.. automodule:: nkululeko.models.model_lin_reg
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_mlp module
----------------------------------

.. automodule:: nkululeko.models.model_mlp
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_mlp\_regression module
----------------------------------------------

.. automodule:: nkululeko.models.model_mlp_regression
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_svm module
----------------------------------

.. automodule:: nkululeko.models.model_svm
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_svr module
----------------------------------

.. automodule:: nkululeko.models.model_svr
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_tree module
-----------------------------------

.. automodule:: nkululeko.models.model_tree
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_tree\_reg module
----------------------------------------

.. automodule:: nkululeko.models.model_tree_reg
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_xgb module
----------------------------------

.. automodule:: nkululeko.models.model_xgb
   :members:
   :undoc-members:
   :show-inheritance:

nkululeko.models.model\_xgr module
----------------------------------

.. automodule:: nkululeko.models.model_xgr
   :members:
   :undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: nkululeko.models
   :members:
   :undoc-members:
   :show-inheritance:
